Re: Horizon Link Suite 1.31 confusion


Jim Stutsman
 

There is a slight disconnect in the version numbers. The "suite" top app does not show the same version as EmbLink, but as long as it is 1.3x (x can be 0 or higher), you are updated to the correct version.

Join onlinesewing-janome@groups.io to automatically receive all group messages.